---
title: "FreeBSD 9.3-RELEASE Announcement"
sidenav: download
---

include::shared/en/urls.adoc[]
include::shared/releases.adoc[]
:thisDate: {rel93-current-date}

= FreeBSD 9.3-RELEASE Announcement

Date: {thisDate}

The FreeBSD Release Engineering Team is pleased to announce the availability of FreeBSD 9.3-RELEASE. This is the fourth release of the stable/9 branch, which improves on the stability of FreeBSD 9.2-RELEASE and introduces some new features.

Some of the highlights:

* The zfs(8) filesystem has been updated to support the bookmarks feature.
* The uname(1) utility has been updated to include the -U and -K flags, which print the __FreeBSD_version for the running userland and kernel, respectively.
* The fetch(3) library has been updated to support SNI (Server Name Identification), allowing to use virtual hosts on HTTPS.
* Several updates to gcc(1) have been imported from Google.
* The hastctl(8) utility has been updated to output the current queue sizes.
* The protect(1) command has been added, which allows exempting processes from being killed when swap is exhausted.
* The etcupdate(8) utility, a tool for managing updates to files in /etc, has been merged from head/.
* A new shared library directory, /usr/lib/private, has been added for internal-use shared libraries.
* OpenPAM has been updated to Nummularia (20130907).
* A new flag, "onifconsole" has been added to /etc/ttys. This allows the system to provide a login prompt via serial console if the device is an active kernel console, otherwise it is equivalent to off.
* Sendmail has been updated to version 8.14.9.
* BIND has been updated to version 9.9.5.
* The xz(1) utility has been updated to a post-5.0.5 snapshot.
* OpenSSH has been updated to version 6.6p1.
* OpenSSL has been updated to version 0.9.8za.

For a complete list of new features and known problems, please see the online release notes and errata list, available at:

* `https://www.FreeBSD.org/releases/9.3R/relnotes/`
* `https://www.FreeBSD.org/releases/9.3R/errata/`

For more information about FreeBSD release engineering activities, please see:

* `https://www.FreeBSD.org/releng/`

== Availability

FreeBSD 9.3-RELEASE is now available for the amd64, i386, ia64, powerpc, powerpc64, and sparc64 architectures.

FreeBSD 9.3-RELEASE can be installed from bootable ISO images or over the network. Some architectures also support installing from a USB memory stick. The required files can be downloaded via FTP as described in the section below. While some of the smaller FTP mirrors may not carry all architectures, they will all generally contain the more common ones such as amd64 and i386.

SHA256 and MD5 hashes for the release ISO and memory stick images are included at the bottom of this message.

A PGP-signed version of this announcement is available at:

* https://www.FreeBSD.org/releases/9.3R/announce.asc

The purpose of the images provided as part of the release are as follows:

dvd1::
This contains everything necessary to install the base FreeBSD operating system, the documentation, and a small set of pre-built packages aimed at getting a graphical workstation up and running. It also supports booting into a "livefs" based rescue mode. This should be all you need if you can burn and use DVD-sized media.
disc1::
This contains the base FreeBSD operating system. It also supports booting into a "livefs" based rescue mode. There are no pre-built packages.
bootonly::
This supports booting a machine using the CDROM drive but does not contain the installation distribution sets for installing FreeBSD from the CD itself. You would need to perform a network based install (e.g. from an FTP server) after booting from the CD.
memstick::
This can be written to an USB memory stick (flash drive) and used to do an install on machines capable of booting off USB drives. It also supports booting into a "livefs" based rescue mode. There are no pre-built packages.
+
As one example of how to use the memstick image, assuming the USB drive appears as /dev/da0 on your machine something like this should work:
+
....
# dd if=FreeBSD-9.3-RELEASE-amd64-memstick.img of=/dev/da0 bs=10240 conv=sync
....
+
Be careful to make sure you get the target (of=) correct.
mini-memstick::
This can be written to an USB memory stick (flash drive) and used to boot a machine, but does not contain the installation distribution sets on the medium itself, similar to the bootonly image. It also supports booting into a "livefs" based rescue mode. There are no pre-built packages.
+
As one example of how to use the mini-memstick image, assuming the USB drive appears as /dev/da0 on your machine something like this should work:
+
....
# dd if=FreeBSD-9.3-RELEASE-amd64-mini-memstick.img of=/dev/da0 bs=10240 conv=sync
....
+
Be careful to make sure you get the target (of=) correct.

FreeBSD 9.3-RELEASE can also be purchased on CD-ROM or DVD from several vendors. One of the vendors that will be offering FreeBSD 9.3-based products is:

* FreeBSD Mall, Inc. https://www.freebsdmall.com

== FTP

FreeBSD 9.3-RELEASE may be downloaded via ftp from the following site:

* `ftp://ftp.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.3/`

However before trying this site, please check your regional mirror(s) first by going to:

* `ftp://ftp.<your_country_code>.FreeBSD.org/pub/FreeBSD`

Any additional mirror sites will be labeled ftp2, ftp3 and so on.

More information about FreeBSD mirror sites can be found at:

* `https://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html`

For instructions on installing FreeBSD or updating an existing machine to 9.3-RELEASE please see:

* `https://www.FreeBSD.org/releases/9.3R/installation/`

== Support

FreeBSD 9.3-RELEASE will be supported until January 1, 2017. The End-of-Life dates can be found at:

* `https://www.FreeBSD.org/security/`

== Other Projects Based on FreeBSD

There are many "third party" Projects based on FreeBSD. The Projects range from re-packaging FreeBSD into a more "novice friendly" distribution to making FreeBSD available on Amazon's EC2 infrastructure. For more information about these Third Party Projects see:

* `https://wiki.FreeBSD.org/3rdPartyProjects`

== Acknowledgments

Many companies donated equipment, network access, or man-hours to support the release engineering activities for FreeBSD 9.3 including The FreeBSD Foundation, Yahoo!, NetApp, Internet Systems Consortium, ByteMark Hosting, Sentex Communications, New York Internet, Juniper Networks, NLNet Labs, iXsystems, and Yandex.

The release engineering team for 9.3-RELEASE includes:

[cols=",",]
|===
|Glen Barber <gjb@FreeBSD.org> |Release Engineering Lead, 9.3-RELEASE Release Engineer
|Konstantin Belousov <kib@FreeBSD.org> |Release Engineering
|Joel Dahl <joel@FreeBSD.org> |Release Engineering
|Baptiste Daroussin <bapt@FreeBSD.org> |Package Building
|Bryan Drewery <bdrewery@FreeBSD.org> |Package Building
|Marc Fonvieille <blackend@FreeBSD.org> |Release Engineering, Documentation
|Steven Kreuzer <skreuzer@FreeBSD.org> |Release Engineering
|Xin Li <delphij@FreeBSD.org> |Release Engineering, Security Officer
|Josh Paetzel <jpaetzel@FreeBSD.org> |Release Engineering
|Colin Percival <cperciva@FreeBSD.org> |Security Officer Emeritus
|Craig Rodrigues <rodrigc@FreeBSD.org> |Release Engineering
|Hiroki Sato <hrs@FreeBSD.org> |Release Engineering, Documentation
|Gleb Smirnoff <glebius@FreeBSD.org> |Release Engineering
|Ken Smith <kensmith@FreeBSD.org> |Release Engineering
|Dag-Erling Smørgrav <des@FreeBSD.org> |Security Officer
|Marius Strobl <marius@FreeBSD.org> |Release Engineering
|Robert Watson <rwatson@FreeBSD.org> |Release Engineering, Security
|===

=== Trademark

FreeBSD is a registered trademark of The FreeBSD Foundation.

=== ISO Image Checksums

amd64 (x86_64):

....
SHA256 (FreeBSD-9.3-RELEASE-amd64-bootonly.iso) = e6962c2605c6a191a9c238545576eff3a5a2c2c96b5058c26c8c54b6cf701914
SHA256 (FreeBSD-9.3-RELEASE-amd64-bootonly.iso.xz) = bcb5d5c8bbc1aa06baf769a6a57908e6cbf820a02c6f6f57a902db564bff4a1f
SHA256 (FreeBSD-9.3-RELEASE-amd64-disc1.iso) = 5a3c82653d77bba7d7ded8bd7efbedc09d52cf4045d98ce52a82c9e0f8fa9b0e
SHA256 (FreeBSD-9.3-RELEASE-amd64-disc1.iso.xz) = daf255ccb9694f0a82e34e71be1e6d0bbcf332bf74f1c6f92343f00dad579d99
SHA256 (FreeBSD-9.3-RELEASE-amd64-dvd1.iso) = 30c0baa7d51a4b3130108c862bbc9439f60a3a6362b13183c1ae0be959ae9a95
SHA256 (FreeBSD-9.3-RELEASE-amd64-dvd1.iso.xz) = 292cac57dea0ad7723798842a2ddf582661c41c428bc78a951535d69ae92aceb
SHA256 (FreeBSD-9.3-RELEASE-amd64-memstick.img) = 04c2c98c9bcf188bb2df988ebc2c1c02ea7350c77e1711904fc368db62709634
SHA256 (FreeBSD-9.3-RELEASE-amd64-memstick.img.xz) = 56deb31212c19c18852baee6097bebd048658d464e14a14e125840a24c939e63
SHA256 (FreeBSD-9.3-RELEASE-amd64-mini-memstick.img) = d5a0379caa5ebb9f8252a44417d10d2b3ab0ce424d275d546689fcf9c4dd6dbe
SHA256 (FreeBSD-9.3-RELEASE-amd64-mini-memstick.img.xz) = 0e6fe54a2fcd3173f27fafc62f0d67cff44cdf5a9f133adba7aedff804cbb087
....

....
MD5 (FreeBSD-9.3-RELEASE-amd64-bootonly.iso) = b53878805ea89633aaa59351d706081f
MD5 (FreeBSD-9.3-RELEASE-amd64-bootonly.iso.xz) = f3b2bfdce28af6ce3fe2fecb0838ae86
MD5 (FreeBSD-9.3-RELEASE-amd64-disc1.iso) = 1fc7f8bace8dc861258af9042c9918d6
MD5 (FreeBSD-9.3-RELEASE-amd64-disc1.iso.xz) = 69701074a505b78c998807e0bb20dae6
MD5 (FreeBSD-9.3-RELEASE-amd64-dvd1.iso) = 14c176c236c27a0fa276ffb554768d38
MD5 (FreeBSD-9.3-RELEASE-amd64-dvd1.iso.xz) = da4f382733c63260877184ef33dbfec6
MD5 (FreeBSD-9.3-RELEASE-amd64-memstick.img) = ebcf069c96aeb59279af0c480b5717ca
MD5 (FreeBSD-9.3-RELEASE-amd64-memstick.img.xz) = d52f0909d7e4ea3c9080f7ac5358edd5
MD5 (FreeBSD-9.3-RELEASE-amd64-mini-memstick.img) = 6077f2f90b09b4926dbf0e59df6528bf
MD5 (FreeBSD-9.3-RELEASE-amd64-mini-memstick.img.xz) = 0c342b43053375a48bea2e7413a3c3e8
....

i386 (x86):

....
SHA256 (FreeBSD-9.3-RELEASE-i386-bootonly.iso) = 84a26479e690caaa428b361f2f96c0723a5f1b09a342bd58e5eee345fc5f7406
SHA256 (FreeBSD-9.3-RELEASE-i386-bootonly.iso.xz) = 66bad7f519bb6f504932c3ba701c4d83709699a785258aba6b3ee11c651d868a
SHA256 (FreeBSD-9.3-RELEASE-i386-disc1.iso) = cab6aad9c3d5ea6a3fb4059f808225c67f1edaea730c555a86a9707ac41ba75d
SHA256 (FreeBSD-9.3-RELEASE-i386-disc1.iso.xz) = f248e0c16a2a03a5c8a39ee41b99e0ff656f75035ccf5e720c83587d9733ca39
SHA256 (FreeBSD-9.3-RELEASE-i386-dvd1.iso) = 6c47c17ec1e0e0ccca2c24bec0f880334d5a52847bdc092a3ff4cdd7be7a85f3
SHA256 (FreeBSD-9.3-RELEASE-i386-dvd1.iso.xz) = 76830e50357aec289daeb9eb01416dcb42414bf57126b4875e7352e976a7451b
SHA256 (FreeBSD-9.3-RELEASE-i386-memstick.img) = 3465923d625d07ef40448e2c03bfe5c61bf89ac56cbe34fb358500860e9524aa
SHA256 (FreeBSD-9.3-RELEASE-i386-memstick.img.xz) = 30480eb3ed73e2c8d45ff7928e5edcb7f69704f0c459bbaf943907ec69adcc10
SHA256 (FreeBSD-9.3-RELEASE-i386-mini-memstick.img) = 17c6a518b000bb9ba81229658a71a7d47f71a4e46a3846e82887d43b1d73bf81
SHA256 (FreeBSD-9.3-RELEASE-i386-mini-memstick.img.xz) = 44b4d7d1cf1c6c59d440df84731efb110dd062c2226a25adef168bc24d55dcbe
....

....
MD5 (FreeBSD-9.3-RELEASE-i386-bootonly.iso) = c9abbb89fa43eed6efefb2b7926d7fa7
MD5 (FreeBSD-9.3-RELEASE-i386-bootonly.iso.xz) = 9a797ff03c3eade54654120fdbc23ccb
MD5 (FreeBSD-9.3-RELEASE-i386-disc1.iso) = 752fa8cd15f0f1e240042c342a161eb4
MD5 (FreeBSD-9.3-RELEASE-i386-disc1.iso.xz) = f4ace2617eea05e2898d8d0b70249bf4
MD5 (FreeBSD-9.3-RELEASE-i386-dvd1.iso) = fb598013bf363c44e248054106c33829
MD5 (FreeBSD-9.3-RELEASE-i386-dvd1.iso.xz) = 2024f7f2aaa73353e225ef7a1ec5aeea
MD5 (FreeBSD-9.3-RELEASE-i386-memstick.img) = c8a833fffc40a8eee2bb6a9a36595ac4
MD5 (FreeBSD-9.3-RELEASE-i386-memstick.img.xz) = 4189b56c90e7a40e1bb69ff6f26f37e2
MD5 (FreeBSD-9.3-RELEASE-i386-mini-memstick.img) = a2b0c1085db9424ea25b594e32230a3a
MD5 (FreeBSD-9.3-RELEASE-i386-mini-memstick.img.xz) = a95d50f326868c739f06aa1a3a76d636
....

ia64:

....
SHA256 (FreeBSD-9.3-RELEASE-ia64-bootonly.iso) = 8d9236f55b1467f4e882a751d5e040ea6538da88f4d319746679874a8dc9caba
SHA256 (FreeBSD-9.3-RELEASE-ia64-bootonly.iso.xz) = eceb7125b8a8711969d7c3997044f9043ec938fc3518dd8a197fd94f4d7076c6
SHA256 (FreeBSD-9.3-RELEASE-ia64-disc1.iso) = 953b7c847f21e6316c22c0741a5de76865b521b594b593d67fe60bf5e348452d
SHA256 (FreeBSD-9.3-RELEASE-ia64-disc1.iso.xz) = 3fef900ad1ef288202701e04ce3c9ef1ab6c870e5e7ec97b9ab6a6a5e5dccf59
SHA256 (FreeBSD-9.3-RELEASE-ia64-memstick.img) = c4d5d921443c993e294fe9e9ca9ae60409c5c663ad895f6e582ba955c9155e86
SHA256 (FreeBSD-9.3-RELEASE-ia64-memstick.img.xz) = ccd354b7571ebd5c3763158b49b1aa51c2bed63d0ce36eb49a6cf1e227bc133e
SHA256 (FreeBSD-9.3-RELEASE-ia64-mini-memstick.img) = 7475bfafd661600de2516d9ce0ed6c5621699d3ebda59f672d1e7cfc8efeb504
SHA256 (FreeBSD-9.3-RELEASE-ia64-mini-memstick.img.xz) = 1ed6d2ea23e320b6708958989aaf90788cd56371a4c25e9145911dc4f890dbfa
....

....
MD5 (FreeBSD-9.3-RELEASE-ia64-bootonly.iso) = 6d2210defeb17219a600d02917fa3f79
MD5 (FreeBSD-9.3-RELEASE-ia64-bootonly.iso.xz) = f17b43d7fbec6dab1d05bb0d2f0bfb15
MD5 (FreeBSD-9.3-RELEASE-ia64-disc1.iso) = 1bdf7afa83a7494e9569888cb162752c
MD5 (FreeBSD-9.3-RELEASE-ia64-disc1.iso.xz) = 81c6d02da1645bda86a2c1fec716e622
MD5 (FreeBSD-9.3-RELEASE-ia64-memstick.img) = b5003d7260190a5123ae478a1980b526
MD5 (FreeBSD-9.3-RELEASE-ia64-memstick.img.xz) = d53ba4fc4748ca0953067f3c4c31b4f0
MD5 (FreeBSD-9.3-RELEASE-ia64-mini-memstick.img) = 1946ba71adecc220d66f70d0aee6606e
MD5 (FreeBSD-9.3-RELEASE-ia64-mini-memstick.img.xz) = d891966f184e6264203bf964404a4530
....

powerpc:

....
SHA256 (FreeBSD-9.3-RELEASE-powerpc-bootonly.iso) = 6a2d0ac953ead098e7dbee736e4e19b28b8d914baa5947083d494c150d257381
SHA256 (FreeBSD-9.3-RELEASE-powerpc-bootonly.iso.xz) = a68b22d933ef03894da5eee16c8f1fd8bdc05003d2ee40f34f0e0f165eb97715
SHA256 (FreeBSD-9.3-RELEASE-powerpc-disc1.iso) = dd30aa9491b14410dd520f2cb8c231be701debbc36c5b023a427e3e28bcba3c4
SHA256 (FreeBSD-9.3-RELEASE-powerpc-disc1.iso.xz) = a609d8d641d7839707d8caf9796434deee0e3f4218c79d7cadaa7787d3975c33
SHA256 (FreeBSD-9.3-RELEASE-powerpc-memstick.img) = 0e0c449026084f8431bc7852dcdaeaa3101301c2c73151204e9ce4d4ccdbfb38
SHA256 (FreeBSD-9.3-RELEASE-powerpc-memstick.img.xz) = f5d3b880fa1d737b708e96584c52804c33af9e7de4c7e2ee744584c08c8d8b84
SHA256 (FreeBSD-9.3-RELEASE-powerpc-mini-memstick.img) = c8fb345384558215eb7d5126684c827e73104eabe36309a3de275c7ea9512822
SHA256 (FreeBSD-9.3-RELEASE-powerpc-mini-memstick.img.xz) = 931706a17b708c1db6337cf0fbf8bad877a8dfce64c2e5079fe890e5e85339e3
....

....
MD5 (FreeBSD-9.3-RELEASE-powerpc-bootonly.iso) = e80fd4c1278db39e3f8740612dff0da9
MD5 (FreeBSD-9.3-RELEASE-powerpc-bootonly.iso.xz) = 7690229bf847dbf377a5086652dfc1aa
MD5 (FreeBSD-9.3-RELEASE-powerpc-disc1.iso) = a308f49d59c6553cfcb625ec3c2a278d
MD5 (FreeBSD-9.3-RELEASE-powerpc-disc1.iso.xz) = 8d5783474fdf5463ab5aa06d7d09509e
MD5 (FreeBSD-9.3-RELEASE-powerpc-memstick.img) = ec112f1085ab363b27931c25c451fb2c
MD5 (FreeBSD-9.3-RELEASE-powerpc-memstick.img.xz) = 1c9d741dd889b1461812fce34fb48e93
MD5 (FreeBSD-9.3-RELEASE-powerpc-mini-memstick.img) = 0b3c655654d8def1eeb96b478a0572f0
MD5 (FreeBSD-9.3-RELEASE-powerpc-mini-memstick.img.xz) = f7913ffa1eebb43e875ba81c5bd8e992
....

powerpc64:

....
SHA256 (FreeBSD-9.3-RELEASE-powerpc-powerpc64-bootonly.iso) = c8bb1f3105f2a2d9dd4a76536d8d44d8ae0aa7742230d549ea280f04e41f81b2
SHA256 (FreeBSD-9.3-RELEASE-powerpc-powerpc64-bootonly.iso.xz) = f5327d0c665cf7f286e3daca382e04abb0aee9d125cc70a41a2d96ad13ffe531
SHA256 (FreeBSD-9.3-RELEASE-powerpc-powerpc64-disc1.iso) = f89d13f3c292381549b8c9b70e81cd152491f34e0e889d78e439d63884a346c6
SHA256 (FreeBSD-9.3-RELEASE-powerpc-powerpc64-disc1.iso.xz) = 5047b76a8c4299d3f2a56271a9798a7088717356792c91bea96ca61f871f087a
SHA256 (FreeBSD-9.3-RELEASE-powerpc-powerpc64-memstick.img) = b94b05b0999aae0d197ad45b19d4d2b2678d322109da43bd10b2556b441b207c
SHA256 (FreeBSD-9.3-RELEASE-powerpc-powerpc64-memstick.img.xz) = 9da446da2dfb73f24195b70c873317c4dd7578dc339dd051e082e2351b3bcac3
SHA256 (FreeBSD-9.3-RELEASE-powerpc-powerpc64-mini-memstick.img) = 21874e49e3c7685c098c90100717f28975db2dbc9043e810fef554f08a6bc940
SHA256 (FreeBSD-9.3-RELEASE-powerpc-powerpc64-mini-memstick.img.xz) = a6cc4f340802bd936acb4b7920aa4fced54a2e265b60ffecf0b7b1c2f71fa644
....

....
MD5 (FreeBSD-9.3-RELEASE-powerpc-powerpc64-bootonly.iso) = 674ed0a922e0f662c2f8118d8424473f
MD5 (FreeBSD-9.3-RELEASE-powerpc-powerpc64-bootonly.iso.xz) = 5836f439da4dc8372da0e20d1a78ec97
MD5 (FreeBSD-9.3-RELEASE-powerpc-powerpc64-disc1.iso) = 0c5cf50f3bbf1263708ca3f9da0465bb
MD5 (FreeBSD-9.3-RELEASE-powerpc-powerpc64-disc1.iso.xz) = d2788b12c02134da11ba72238081e4cc
MD5 (FreeBSD-9.3-RELEASE-powerpc-powerpc64-memstick.img) = 5e5123677e21a53b463a3cceb2ad324d
MD5 (FreeBSD-9.3-RELEASE-powerpc-powerpc64-memstick.img.xz) = d6fd35a61aed2d529432e9c9df425be5
MD5 (FreeBSD-9.3-RELEASE-powerpc-powerpc64-mini-memstick.img) = a850121bc10455c3b835fd161237e8b2
MD5 (FreeBSD-9.3-RELEASE-powerpc-powerpc64-mini-memstick.img.xz) = 3bcf3571a3815ea78fbed61094745437
....

sparc64:

....
SHA256 (FreeBSD-9.3-RELEASE-sparc64-bootonly.iso) = d9f9089c7f992744bb9675206042224bdabcfd924e72d322195acb207fe96294
SHA256 (FreeBSD-9.3-RELEASE-sparc64-bootonly.iso.xz) = 67830e9f64ee617acf2fff79770ea47aa3e98c7e2901068b413d41d2282d4372
SHA256 (FreeBSD-9.3-RELEASE-sparc64-disc1.iso) = 989a2d8181b889ec0c1ee08e3afabfdcaf23c75b4157c9463c9ab7496e82a949
SHA256 (FreeBSD-9.3-RELEASE-sparc64-disc1.iso.xz) = 2f2b94f379ae3df05762e2618e573b19ae83756dfde11d6628236c3c6a0052bc
....

....
MD5 (FreeBSD-9.3-RELEASE-sparc64-bootonly.iso) = 8b97d45e204dcfa8515f227189a35b1c
MD5 (FreeBSD-9.3-RELEASE-sparc64-bootonly.iso.xz) = fae6c32e0f9dd2f909b729ba6f4bfeb6
MD5 (FreeBSD-9.3-RELEASE-sparc64-disc1.iso) = 838b0211322dd19f1285b9b94e6ac17e
MD5 (FreeBSD-9.3-RELEASE-sparc64-disc1.iso.xz) = c8a8ab9f3b6eddca77623e5bc3f6718b
....

Love FreeBSD? Support this and future releases with a https://www.freebsdfoundation.org/donate/[donation] to The FreeBSD Foundation!
